Share on Google+Share on FacebookTweet about this on Twitter

Una interesante pero a la vez no tan sorprendente noticia llega de la mano de los chicos de boygeniusreport.

Revisando los log de Apache de los acceso a cierta web han encontrado algo interesante en el User-Agent de algunos dispositivos:

“Mozilla/5.0 (iPhone; U; CPU iPhone OS 2_0_1 like Mac OS X; en-us) AppleWebKit/525.18.1 (KHTML, like Gecko) Version/3.1.1 Mobile/5B101 Safari/525.20

“Mozilla/5.0 (iPhone; U; CPU iPhone OS 2_0_1 like Mac OS X; en-us) AppleWebKit/525.18.1 (KHTML, like Gecko) Version/3.1.1 Mobile/5B103 Safari/525.20″

Normalmente, como ya explicamos en el post de User-Agent, el User-Agent identifica en cierto modo la máquina cliente, y en caso de Apple su versión. Es cierto que este dato es muy facil de falsear, y si quisiera podría hacer un par de visitas a la misma página supuestamente con la versión 2.1, pero no deja de ser cuanto menos creible.

De todos modos no es descabellado. Desde la salida de la versión 2.0 han surgido muchos fallos en los dispositivos y la verdad que la gente no está muy contenta. Tanto los usuarios de Touch como los de iPhone (sobre todo los pre 3G) han tenido cortes constantes en las aplicaciones descargadas del Store (Quien decía que las App del Store eran más estables?), cierres de las mismas aplicaciones del dispositivo, reinicios… se ve que incluso después de la beta 8 que llegó a ser la versión 2.0 no era suficiente…

Tirón de orejas para Apple.

Evidentemente esto no quiere decir que veamos una versión 2.0.1 hoy o mañana. Esto significaría que Apple estaría trabajando en ella. Quizás mañana, quizás pasado…

Y ahora la pregunta del millón. Los usuarios de Touch que actualicen o actualizarán a la versión 2.0 lo hicieron bajo pago. Pero si saliese una versión 2.0.1 que no fuera más que una bugfix tendrían derecho a ella sin pagar nada. Evidentemente para quienes no la pagaron no pasa nada, la 2.0 se retira y se queda la 2.0.1. Pero que hacer con los que ya la compraron? Que hacer si hay tan solo una persona en el mundo que se compró un iPod Touch en el que venía de serie la versión 2.0? Ese es otro de los fallos de seguridad de Apple con la versión 2.0… afortunadamente claro. Puesto que llegados a este caso, iTunes detectaría que nuestro dispositivo ya cuenta con la versión 2.0 con lo que la debimos de pagar, luego en teoría iTunes debería de darnos acceso directamente a la nueva actualización.

Como digo no pregunteis cuando. Quizás sea tan solo alguien que quiso cambiar su User-Agent o quizás sea verdad que apple está al acecho. Ya veremos.

Un saludo.